Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::replace_if_fn Struct Reference
Inheritance diagram for ranges::views::replace_if_fn:

## Synopsis of methods
constexpr replace_if_fn | replace_if {}

## Public Member Functions
template<typename Pred , typename Val >
constexpr auto | operator() (Pred pred, Val new_value) const
Public Member Functions inherited from ranges::views::replace_if_base_fn
template<typename Rng , typename Pred , typename Val >
constexpr replace_if_view< all_t< Rng >, Pred, Val > | operator() (Rng &&rng, Pred pred, Val new_value) const